Name: smokekde
Version: 4.7.2
Release: 2%{?dist}
Summary: Bindings for KDE libraries

License: LGPLv2+
URL:     https://projects.kde.org/projects/kde/kdebindings/smoke 
 
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: kate-devel >= %{version}
BuildRequires: okular-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: pkgconfig(akonadi)
BuildRequires: smokegen-devel >= %{version}
BuildRequires: smokeqt-devel >= %{version}

Obsoletes: kdebindings < 4.7.0 

# versioned core/runtime deps
Requires: kate-part%{?_isa} >= %{version}
Requires: okular-libs%{?_isa} >= %{version}
Requires: smokegen%{?_isa} >= %{version}
Requires: smokeqt%{?_isa} >= %{version}

%description
This package includes bindings for KDE libraries.

%package devel
Summary: Development files for %{name} 
Obsoletes: kdebindings-devel < 4.7.0
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: smokegen-devel
Requires: smokeqt-devel
%description devel
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING.LIB
%{_libdir}/libsmoke*.so.*

%files devel
%{_libdir}/libsmoke*.so
%{_includedir}/smoke/*
%{_datadir}/smokegen/*


%changelog
* Sat Oct 08 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-2
- Requires: kate-part

* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Thu Sep 29 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-3
- s/Conflicts/Obsoletes/ kdebindings
- update URL
- remove deprecated tags from .spec

* Fri Sep 16 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-2
- BR: qt4-webkit-devel kate-devel

* Tue Sep 06 2011 Than Ngo <than@redhat.com> - 4.7.1-1
- 4.7.1

* Wed Aug 03 2011 Than Ngo <than@redhat.com> - 4.7.0-2
- BR: okula-devel

* Tue Jul 26 2011 Than Ngo <than@redhat.com> - 4.7.0-1
- 4.7.0

* Fri Jul 22 2011 Than Ngo <than@redhat.com> - 4.6.95-1
- 4.7 rc1

* Wed Jul 06 2011 Than Ngo <than@redhat.com> - 4.6.90-1
- first Fedora RPM
